Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.analysis.interpolation
Interface TrivariateRealGridInterpolator

All Known Implementing Classes:
  TricubicSplineInterpolator

    public interface TrivariateRealGridInterpolator

Interface representing a trivariate real interpolating function where the sample points must be specified on a regular grid.

Since:
  2.2
Version:
  $Revision$ $Date$

Method Summary
`TrivariateRealFunction` | `interpolate(double[] xval, double[] yval, double[] zval, double[][][] fval)` Computes an interpolating function for the data set.

Method Detail

### interpolate

    TrivariateRealFunction interpolate(double[] xval,
                                       double[] yval,
                                       double[] zval,
                                       double[][][] fval)
                                       throws MathException

  Computes an interpolating function for the data set.

  Parameters:
    `xval` - All the x-coordinates of the interpolation points, sorted in increasing order.
    `yval` - All the y-coordinates of the interpolation points, sorted in increasing order.
    `zval` - All the z-coordinates of the interpolation points, sorted in increasing order.
    `fval` - the values of the interpolation points on all the grid knots: `fval[i][j][k] = f(xval[i], yval[j], zval[k])`.
  Returns:
    a function that interpolates the data set.
  Throws:
    `NoDataException` - if any of the arrays has zero length.
    `DimensionMismatchException` - if the array lengths are inconsistent.
    `MathException` - if arguments violate assumptions made by the interpolation algorithm.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.